#include <iostream>
#define endl '\n';
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin >> n;
    int mas[n];
    int br_na_mesta = 0;
    int i;
    int br_na_povt = 0;
    bool dido = false;
    for(i = 0; i<n; i++){
        cin >> mas[i];
    }
    for(i = 1; i<n; i++){
        if(mas[i]>mas[i-1]){
            if(mas[i-1]<mas[i-2]){
                dido = true;
            }
            if(dido){
                br_na_povt = 0;
                dido = false;
            }
            br_na_povt++;
            br_na_mesta+=br_na_povt;
        } else {
            if(mas[i-1]>mas[i-2]){
                dido = true;
            }
            if(dido){
                br_na_povt = 0;
                dido = false;
            }
            br_na_povt++;
            br_na_mesta+=br_na_povt;
        }
        ///100 150 200 160 190 210
    }
    cout << br_na_mesta*2 << endl;
    return 0;
}

